Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Class StabilityType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.rim.StabilityType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class StabilityType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Stability Type', and utility methods for working with them.

See Also:
  `RimPackage.getStabilityType()`

Field Summary
`static int` | `DYNAMIC` The 'Dynamic' literal value.
`static int` | `DYNAMIC_COMPATIBLE` The 'Dynamic Compatible' literal value.
`static StabilityType` | `DYNAMIC_COMPATIBLE_LITERAL` The 'Dynamic Compatible' literal object.
`static StabilityType` | `DYNAMIC_LITERAL` The 'Dynamic' literal object.
`static int` | `STATIC` The 'Static' literal value.
`static StabilityType` | `STATIC_LITERAL` The 'Static' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Stability Type' enumerators.

Method Summary
`static StabilityType` | `get(int value)` Returns the 'Stability Type' literal with the specified integer value.
`static StabilityType` | `get(java.lang.String literal)` Returns the 'Stability Type' literal with the specified literal value.
`static StabilityType` | `getByName(java.lang.String name)` Returns the 'Stability Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DYNAMIC

    public static final int DYNAMIC

  The 'Dynamic' literal value.

  If the meaning of 'Dynamic' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DYNAMIC_LITERAL`, Constant Field Values

### DYNAMIC_COMPATIBLE

    public static final int DYNAMIC_COMPATIBLE

  The 'Dynamic Compatible' literal value.

  If the meaning of 'Dynamic Compatible' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DYNAMIC_COMPATIBLE_LITERAL`, Constant Field Values

### STATIC

    public static final int STATIC

  The 'Static' literal value.

  If the meaning of 'Static' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STATIC_LITERAL`, Constant Field Values

### DYNAMIC_LITERAL

    public static final StabilityType DYNAMIC_LITERAL

  The 'Dynamic' literal object.

  See Also:
    `DYNAMIC`

### DYNAMIC_COMPATIBLE_LITERAL

    public static final StabilityType DYNAMIC_COMPATIBLE_LITERAL

  The 'Dynamic Compatible' literal object.

  See Also:
    `DYNAMIC_COMPATIBLE`

### STATIC_LITERAL

    public static final StabilityType STATIC_LITERAL

  The 'Static' literal object.

  See Also:
    `STATIC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Stability Type' enumerators.

Method Detail

### get

    public static StabilityType get(java.lang.String literal)

  Returns the 'Stability Type' literal with the specified literal value.

### getByName

    public static StabilityType getByName(java.lang.String name)

  Returns the 'Stability Type' literal with the specified name.

### get

    public static StabilityType get(int value)

  Returns the 'Stability Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD